## EvNavigationAction

EvNavigationAction

## Functions

void | ev_navigation_action_set_history ()

## Signals

void | activate-link | Action

## Types and Values

struct | EvNavigationAction
| EvNavigationActionPrivate
struct | EvNavigationActionClass

## Object Hierarchy

        GObject
        ╰── GtkAction
            ╰── EvNavigationAction

## Implemented Interfaces

EvNavigationAction implements GtkBuildable.

## Description

## Functions

### ev_navigation_action_set_history ()

    void
    ev_navigation_action_set_history (EvNavigationAction *action,
                                      EvHistory *history);

## Types and Values

### struct EvNavigationAction

    struct EvNavigationAction;

### EvNavigationActionPrivate

    typedef struct _EvNavigationActionPrivate EvNavigationActionPrivate;

### struct EvNavigationActionClass

    struct EvNavigationActionClass {
    	GtkActionClass parent_class;

    	void (* activate_link) (EvNavigationAction *action,
    			        EvLink             *link);
    };

## Signal Details

### The `“activate-link”` signal

    void
    user_function (EvNavigationAction *evnavigationaction,
                   GObject            *arg1,
                   gpointer            user_data)

Flags: Action